Name:	 samyak-fonts
Version: 1.2.2
Release: 22
Summary: Free Indian truetype/opentype fonts
License: GPLv3+ with exceptions
URL:	 http://sarovar.org/projects/samyak/
Source:	 samyak-fonts-%{version}.tar.gz
Source1: 66-samyak-devanagari.conf
Source2: 67-samyak-tamil.conf
Source3: 68-samyak-malayalam.conf
Source4: 67-samyak-gujarati.conf
Source5: 67-samyak-odia.conf
Patch1: bug-1040288.patch
BuildArch:	noarch
BuildRequires: fontpackages-devel fontforge >= 20080429

%description
The Samyak package contains fonts for the display of 
Scripts Devanagari, Gujarati, Malayalam, Odia and Tamil

%package common
Summary:  Common files for samyak-fonts
Requires: fontpackages-filesystem

%description common 
common files for Samyak package

%package -n samyak-devanagari-fonts
Summary: Open Type Fonts for Devanagari script
Requires: samyak-fonts-common = %{version}-%{release}

%description -n samyak-devanagari-fonts
This package contains truetype/opentype font for the display of Scripts Devanagari.

%package -n samyak-tamil-fonts
Summary: Open Type Fonts for Tamil script
Requires: samyak-fonts-common = %{version}-%{release}

%description -n samyak-tamil-fonts
This package contains truetype/opentype font for the display of \
Scripts Tamil.

%package -n samyak-malayalam-fonts
Summary: Open Type Fonts for Malayalam script
Requires: samyak-fonts-common = %{version}-%{release}

%description -n samyak-malayalam-fonts
This package contains truetype/opentype font for the display of \
Scripts Malayalam.

%package -n samyak-gujarati-fonts
Summary: Open Type Fonts for Gujarati script
Requires: samyak-fonts-common = %{version}-%{release}

%description -n samyak-gujarati-fonts
This package contains truetype/opentype font for the display of \
Scripts Gujarati.

%package -n samyak-odia-fonts
Summary: Open Type Fonts for Odia script
Requires: samyak-fonts-common = %{version}-%{release}
Provides:	samyak-oriya-fonts = %{version}-%{release}
Obsoletes:	samyak-oriya-fonts < 1.2.2-12

%description -n samyak-odia-fonts
This package contains truetype/opentype font for the display of \
Scripts Odia.

%prep
%setup -q -n samyak-fonts-%{version}
%patch1 -p1 -b .1-change-name-from-oriya-to-odia

%build
mkdir -p TTFfiles/
./generate.pe */*.sfd

%install
install -m 0755 -d %{buildroot}%{_datadir}/fonts/samyak
install -m 0644 -p TTFfiles/*.ttf %{buildroot}%{_datadir}/fonts/samyak

install -m 0755 -d %{buildroot}%{_datadir}/fontconfig/conf.avail
install -m 0644 -p %{SOURCE1} %{buildroot}%{_datadir}/fontconfig/conf.avail/66-samyak-devanagari.conf
install -m 0644 -p %{SOURCE2} %{buildroot}%{_datadir}/fontconfig/conf.avail/67-samyak-tamil.conf
install -m 0644 -p %{SOURCE3} %{buildroot}%{_datadir}/fontconfig/conf.avail/68-samyak-malayalam.conf
install -m 0644 -p %{SOURCE4} %{buildroot}%{_datadir}/fontconfig/conf.avail/67-samyak-gujarati.conf
install -m 0644 -p %{SOURCE5} %{buildroot}%{_datadir}/fontconfig/conf.avail/67-samyak-odia.conf

install -m 0755 -d %{buildroot}/etc/fonts/conf.d
for fconf in 66-samyak-devanagari.conf \
		67-samyak-tamil.conf \
		68-samyak-malayalam.conf \
		67-samyak-gujarati.conf \
		67-samyak-odia.conf ; do
  ln -s %{_datadir}/fontconfig/conf.avail/$fconf %{buildroot}/etc/fonts/conf.d/$fconf
done


%files common
%doc COPYING README AUTHORS
%dir %{_datadir}/fonts/samyak

%files -n samyak-devanagari-fonts
%dir %{_datadir}/fonts/samyak
%{_datadir}/fonts/samyak/Samyak-Devanagari.ttf
%{_datadir}/fontconfig/conf.avail/66-samyak-devanagari.conf
%config(noreplace) /etc/fonts/conf.d/66-samyak-devanagari.conf

%files -n samyak-tamil-fonts
%dir %{_datadir}/fonts/samyak
%{_datadir}/fonts/samyak/Samyak-Tamil.ttf
%{_datadir}/fontconfig/conf.avail/67-samyak-tamil.conf
%config(noreplace) /etc/fonts/conf.d/67-samyak-tamil.conf

%files -n samyak-malayalam-fonts
%dir %{_datadir}/fonts/samyak
%{_datadir}/fonts/samyak/Samyak-Malayalam.ttf
%{_datadir}/fontconfig/conf.avail/68-samyak-malayalam.conf
%config(noreplace) /etc/fonts/conf.d/68-samyak-malayalam.conf

%files -n samyak-gujarati-fonts
%dir %{_datadir}/fonts/samyak
%{_datadir}/fonts/samyak/Samyak-Gujarati.ttf
%{_datadir}/fontconfig/conf.avail/67-samyak-gujarati.conf
%config(noreplace) /etc/fonts/conf.d/67-samyak-gujarati.conf

%files -n samyak-odia-fonts
%dir %{_datadir}/fonts/samyak
%{_datadir}/fonts/samyak/Samyak-Odia.ttf
%{_datadir}/fontconfig/conf.avail/67-samyak-odia.conf
%config(noreplace) /etc/fonts/conf.d/67-samyak-odia.conf

%changelog
* Fri Feb 14 2020 Senlin Xia <xiasenlin1@huawei.com> - 1.2.2-22
- Package init
